Subject: RE: Is is mandatory for an object to belong to a registrar?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 12 Nov 2002 07:27:53 -0500

> -----Original Message-----
> From: 'Stephane Bortzmeyer' [mailto:[email-masked]]
> Sent: Tuesday, November 12, 2002 5:01 AM
> To: Hollenbeck, Scott
> Cc: 'Stephane Bortzmeyer'; [email-masked]
> Subject: Re: Is is mandatory for an object to belong to a registrar?
> 
> 
> On Fri, Nov 08, 2002 at 08:44:06AM -0500,
>  Hollenbeck, Scott <[email-masked]> wrote 
>  a message of 29 lines which said:
> 
> > I deliberately tried to stay away from the concept of ownership 
> 
> OK, but replace "owner" and "owns" in my message by "sponsor" and
> "sponsors" and I have the same concern. If I want to implement a
> registry where contacts are not owned/sponsored/managed by registrars,
> is it possible with EPP?

I also don't use the term "registrar" anywhere in the documents.  "Client"
is used instead, and a client can be anything that talks to the server.

> > "manage", etc. seemed like more neutral terms.  I don't 
> think you'll find a
> > single use of the word "own" to describe the client-object 
> relationship in
> > the specs 
> 
> Right, but not the point.

Sorry, but I think it's very relevent.  You suggested that registrars "own"
objects, and I'm saying that they don't.

> > The answer to your question is "yes".  The current protocol 
> specifications
> > allow implementation of a model where contacts can not be 
> transferred.
> 
> I was more specific: a model where contacts are not tied to a
> registrar. For instance, <info> should not mandate:
> 
>   - A <contact:clID> element that contains the identifier of the
>   sponsoring client.
> 
> (There is a <contact:crID> element if you want historical information
> about who created a contact.)

The model is one where objects are managed by some client.  If you're asking
if the <contact:clID> is optional in an <info> response, it's not.  If
you're suggesting that it should be, I would disagree.  Someone or something
has to be the authoritative management agent for an object.

Now, if you're asking if that agent has to be a registrar the answer is
"no".  One might develop a model where the agent is the server (or a
registry operator to use the registry-registrar terms you've used) itself.

-Scott-

---

From: "'Stephane Bortzmeyer'" <[email-masked]>
Date: Tue, 12 Nov 2002 13:35:35 +0100

On Tue, Nov 12, 2002 at 07:27:53AM -0500,
 Hollenbeck, Scott <[email-masked]> wrote 

> has to be the authoritative management agent for an object.

This is not how all registries work at the present time. For instance,
in the RIPE-NCC database (an address registry for Europe/MiddleEast),
every object can have 1 to N "maintainers" and every maintainer has
full rights over the object. This is very convenient because it
allows, for instance, a network provider to add its client and itself
as maintainers of contact objects: each one can make a change of, for
instance, a phone number.

True, an object is created by some client but it can be modified by
several "actors".

Now, if the RIPE-NCC wants to use the EPP contact mapping, what will
they put as clID? (The crID will be the creator, a LIR - Local
Internet Registry, typically a network provider.)